Home » Linux » Uninstall specific version of a library using gem

Uninstall specific version of a library using gem

Posted by: admin November 30, 2017 Leave a comment

Questions:

For example I have the following four versions installed:

capybara (2.2.1, 2.2.0.rc1, 2.1.0, 1.1.4)

Please suggest how to uninstall the capybara version 1.1.4

Answers:

When you do gem uninstall capybara it should give you a menu asking which one you want to uninstall.

Alternatively use the -v option.

gem uninstall capybara -v 1.1.4

Note you may need to sudo these commands if you’re not using rvm.